| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSpotLightProc< AttenuationProc > Class Template Reference

Perform spotlight lighting calculation without shadowing. More...

`#include <csgfx/vertexlight.h>`

List of all members.

## Public Member Functions
| csSpotLightProc (const csLightProperties &light, float blackLimit=0.0001f)
## Classes
class | PerVertex

## Detailed Description

### template<class AttenuationProc>
class csSpotLightProc< AttenuationProc >

Perform spotlight lighting calculation without shadowing.

Template parameters: AttenuationProc - Functor for attenuation

Definition at line 322 of file vertexlight.h.

The documentation for this class was generated from the following file:

- csgfx/vertexlight.h